<?php

class Form
{
    protected $name;
    protected $title;
    protected $action;
    protected $second;
    protected $description;
    protected $secondbutton;
    protected $template = 'page/form';
    protected $items = [];

    public function __construct($name)
    {
	$this->name = $name;
    }

    public function setTitle($title)
    {
	$this->title = $title;
    }

    public function setAction($action)
    {
	$this->action = $action;
    }

    public function setDescription($description)
    {
	$this->description = $description;
    }

    public function setSecondButton($secondbutton)
    {
	$this->secondbutton = $secondbutton;
    }

    public function add(FormElementInterface $item)
    {
	$this->items[] = $item;
    }

    public function toString()
    {
	$items = '';
	foreach ($this->items as $item)
	    $items .= $item->toString();

	return Template::render($this->template,
				['name' => $this->name,
				 'title' => $this->title,
				 'action' => $this->action,
				 'description' => $this->description,
				 'secondbutton' => $this->secondbutton,
				 'items' => $items]);
    }
}