<?php

class FormElement implements FormElementInterface
{
    protected $type;
    protected $item;

    public function __construct($type, $item)
    {
	$this->type = $type;
	$this->item = $item;
    }

    public function toString()
    {
	return Template::render('input/' . $this->type, $this->item);
    }

    public function __toString()
    {
	try {
	    return $this->toString();
	} catch (Throwable $e) {
	    error_log($e->getMessage());
	    return '';
	}
    }
}